Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.util
Class EPPCatFactory

    java.lang.Object
      com.verisign.epp.util.EPPCatFactory

    public class EPPCatFactory

extends java.lang.Object

Title: Description: Copyright: Copyright (c) 2001 Company: Verisign

Version:
  1.0
Author:
  Colin Lloyd

Method Summary
`org.apache.log4j.spi.LoggerFactory` | `getFactory()` DOCUMENT ME!
`static EPPCatFactory` | `getInstance()` DOCUMENT ME!
`void` | `setFactory(org.apache.log4j.spi.LoggerFactory catFactory)` DOCUMENT ME!

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static EPPCatFactory getInstance()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getFactory

    public org.apache.log4j.spi.LoggerFactory getFactory()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### setFactory

    public void setFactory(org.apache.log4j.spi.LoggerFactory catFactory)

  DOCUMENT ME!

  Parameters:
    `catFactory` - DOCUMENT ME!

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.